# $Revision: 1.17 $, $Date: 2009/10/06 21:09:01 $
Summary:	xmodmap application - modifying keymaps and pointer button mappings in X
Summary(pl.UTF-8):	Aplikacja xmodmap - zmiana przypisań klawiszy i przycisków myszy w X
Name:		xorg-app-xmodmap
Version:	1.0.4
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xmodmap-%{version}.tar.bz2
# Source0-md5:	bbe021f812e0014a8ee3692317788119
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xmodmap program is used to edit and display the keyboard modifier
map and keymap table that are used by client applications to convert
event keycodes into keysyms. It is usually run from the user's session
startup script to configure the keyboard according to personal tastes.

%description -l pl.UTF-8
Program xmodmap służy do modyfikowania i wyświetlania przypisań
modyfikatorów klawiatury oraz tablicy przypisań klawiszy używanych
przez aplikacje klienckie do przekształcania kodów klawiszy zdarzenia
(keycode) na symbole klawiszy (keysym). Zwykle jest uruchamiany ze
skryptu startowego sesji użytkownika w celu skonfigurowania klawiatury
zgodnie z własnymi gustami.

%prep
%setup -q -n xmodmap-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xmodmap
%{_mandir}/man1/xmodmap.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xmodmap.spec,v $
Revision 1.17  2009/10/06 21:09:01  qboosh
- util-macros version

Revision 1.16  2009/10/06 06:30:02  arekm
- up to 1.0.4

Revision 1.15  2007/08/07 19:52:54  qboosh
- real descs from man

Revision 1.14  2007/08/07 06:01:17  arekm
- up to 1.0.3

Revision 1.13  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.11  2006/10/15 21:59:07  qboosh
- more verbose files

Revision 1.10  2006/10/14 18:39:43  qboosh
- updated to 1.0.2, release 1

Revision 1.9  2006/04/27 06:31:53  arekm
- up to 1.0.1

Revision 1.8  2006/01/12 15:47:02  qboosh
- 1.0.0 (X11R7.0 release)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/22 14:33:45  qboosh
- 0.99.1 (X11R7.0-RC1)

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:45  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:42  arekm
- modular xorg specs

* Sun Aug 14 2005 15:08:35  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- defined %%{_prefix} and %%{_mandir}
- added BR: libX11-devel
- release 0.02

* Mon Aug  8 2005 12:39:08  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
